﻿Imports System.Net
Imports Newtonsoft.Json

Public Class Form1

    Private Sub btnAcessoJSON_Click(sender As Object, e As EventArgs) Handles btnAcessoJSON.Click
        Try
            GetContatos(arquivoContatos)
        Catch ex As WebException
            MessageBox.Show("Error: " & ex.ToString())
        End Try
    End Sub

    Private Sub GetContatos(contatosJson As String)

        Dim listaContatos = JsonConvert.DeserializeObject(Of List(Of ContatoJson))(contatosJson)
        For Each Contato In listaContatos
            lbNomes.Items.Add(Contato.Nome)
        Next

    End Sub

    Private Sub btnAcessoJSONLINQ_Click(sender As Object, e As EventArgs) Handles btnAcessoJSONLINQ.Click
        Try
            Dim Contatos = JsonConvert.DeserializeObject(Of List(Of ContatoJson))(arquivoContatos)

            Dim listaContatos = From contato In Contatos
                                Where contato.Nome.Contains("J")
                                Select contato

            For Each contato In listaContatos
                lbFiltro.Items.Add($"Contato: {contato.Nome} {contato.Sobrenome}  Idade: {contato.Idade}")
            Next
        Catch ex As Exception
            MessageBox.Show("Error: " & ex.ToString())
        End Try
    End Sub
    Private Sub btnAcessoJSONIndice_Click(sender As Object, e As EventArgs) Handles btnAcessoJSONIndice.Click
        Try
            Dim read = JsonConvert.DeserializeObject(Of List(Of ContatoJson))(arquivoContatos)

            nup1.Maximum = read.Count - 1

            txtNome.Text = read.Item(nup1.Value).Nome
            txtSobrenome.Text = read.Item(nup1.Value).Sobrenome
            txtIdade.Text = read.Item(nup1.Value).Idade
            txtSexo.Text = If(read.Item(nup1.Value).Sexo = "m", "Masculino", "Feminino")

        Catch ex As WebException
            MessageBox.Show("Error: " & ex.ToString())
        End Try
    End Sub
End Class
